BEGIN {
	version_to_install = ENV["SOCOTRA_BUILD_VERSION"]
	output = `gem list |grep socotra-build`
	version_installed = output.split('(')[1].split()[0].split(',')[0]

	if version_installed != version_to_install
		version = version_to_install
		gem_install_output = `gem install socotra-build -v #{version}`
	else
		puts "Not upgrading socotra-build"
		version = version_installed
	end

	files_in_module = `gem contents socotra-build -v #{version}`.split
	files_in_module.each do |module_file|
		unless module_file.include? "socotra-build-update.rb"
			load module_file
		end
	end
}